Stream EstateStream Estate
Search by URL

Search property by listing URL

Find a property by exact listing URL match in nested listings.

GET
/properties/search-by-url

Query Parameters

url*string

Listing URL (encoded or decoded). Must be a valid HTTP/HTTPS URL.

Lengthlength <= 2083

Response Body

curl -X GET "https://api-v2.stream.estate/properties/search-by-url?url=string"
{
  "uuid": "6e6ab049-7e39-4fbe-828b-d4b10a3ced66",
  "listings": [
    {
      "uuid": "6e6ab049-7e39-4fbe-828b-d4b10a3ced66",
      "title": "Beautiful apartment in Paris center",
      "description": "string",
      "url": "https://example.com/listings/123",
      "price": 350000,
      "currency": "EUR",
      "transactionType": "SELL",
      "propertyType": "APARTMENT",
      "dataProvider": "seloger",
      "area": 72.5,
      "rooms": 3,
      "bedrooms": 2,
      "hasParking": true,
      "hasBalcony": true,
      "hasGarden": true,
      "hasCellar": true,
      "cityId": 42,
      "cityName": "Paris",
      "districtId": 7,
      "districtName": "7ème arrondissement",
      "neighborhoodId": 15,
      "neighborhoodName": "Eiffel",
      "createdAt": "2025-01-15T10:30:00+00:00",
      "updatedAt": "2025-01-15T10:30:00+00:00"
    }
  ],
  "minPrice": 250000,
  "maxPrice": 350000,
  "createdAt": "2025-01-15T10:30:00+00:00",
  "updatedAt": "2025-01-15T10:30:00+00:00"
}
{
  "title": "string",
  "detail": "string",
  "status": 404,
  "instance": "string",
  "type": "string"
}
{
  "title": "string",
  "detail": "string",
  "status": 404,
  "instance": "string",
  "type": "string"
}